function [y,d] = doPrediction(buf,fs)

bins = 1024;
p = fs/1000+4;
[a,g] = lpc(buf,p);
fss = fft(buf,bins);
fss_mag = 20*log10(abs(fss));
freqvector = 0:fs/bins:fs/2-fs/bins;
freqvector = freqvector';
plot(freqvector,fss_mag(1:(end/2)));
axis tight;
xlabel('f,Hz');
ylabel('abs(S(f)),dB');
lspec = freqz(g,a,freqvector,fs);

lspec_mag = 20*log10(abs(lspec));
dif = max(fss_mag)-max(lspec_mag);
lspecG = lspec_mag+dif;

d = power(10,(dif/20));
plot(freqvector,lspecG,'k');
axis tight;

e_log = fss_mag(1:(end/2))-lspecG;
e = power(e_log,10)/20;

y = a;

end

